Subject: bug#53024: 29.0.50; Wishlist: Byte-compile loaddefs.el?

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Aug 2022 08:07:21 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> By the way, there's bits and pieces (like this in bytecomp.el) that's no
> longer relevant:
>
>   ;; Write the given form to the output buffer, being careful of docstrings
>   ;; in defvar, defvaralias, defconst, autoload and
>   ;; custom-declare-variable because make-docfile is so amazingly stupid.
>
> [...]
>
>                ;; Make the doc string start at beginning of line
>                ;; for make-docfile's sake.
>                (insert "\n")

Actually, I have no idea what it's talking about here -- isn't this
about generating .elc files?  make-docfile didn't scan .elc files, did
it?